<!DOCTYPE html>
<html>
<head>

	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">


	<title>Bootstrap Grid System</title>

	<link rel="stylesheet" 
		href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" 
		integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" 
		crossorigin="anonymous">

		<link rel="stylesheet" type="text/css" href="./index.css">

</head>

<body>

	<h1 class="text-center text-white bg-danger">Bootstrap Grid System</h1>

	<div class="container-fluid">
		<div class="row">
			<div class="col-md-8 bg-primary border border-dark">
				<p>Lorem ipsum dolor, sit amet consectetur adipisicing elit. Laboriosam iusto quis distinctio laborum amet incidunt dolores molestias tempora illo ipsum expedita deleniti, atque quibusdam. Asperiores veniam officia iure repudiandae ratione!</p>
			</div>

			<div class="col-md-8 bg-danger border border-dark">
				<p>Lorem ipsum, dolor sit amet consectetur adipisicing elit. Dolorum voluptates laudantium, perferendis sequi quo iure odit labore saepe? Officiis iste, esse repudiandae tenetur quae possimus voluptates repellendus consectetur aperiam aut!</p>
			</div>
		</div>

		<h2 class="text-center">Rows with 2 equal columns</h2>
		<h3 class="text-center">1:1 ratio</h3>

		<div class="row mt-3">
			<div class="col-6 bg-primary py-3 border border-dark">
				<h2 class="text-center">6 columns</h2>
				<p>Lorem ipsum, dolor sit amet, consectetur adipisicing elit. Quis, tempora facere excepturi hic facilis, iure cupiditate similique officia cum laudantium aperiam ut molestias odit fugiat nihil explicabo magni maxime eveniet?</p>
			</div>

			<div class="col-6 bg-danger py-3 border border-dark">
				<h2>6 columns</h2>
			</div>
			
		</div>

		<h3 class="text-center">1:2 Ration</h3>

		<div class="row">
			<div class="col-4 bg-success py-3 border border-dark">
				4 columns
			</div>

			<div class="col-8 bg-info py-3 border border-dark">
				8 columns
			</div>
		</div>

		<h2 class="text-center">Mini Activity 1:3 Ratio</h2>
		<div class="row">
			<div class="col-3 bg-danger border border-dark py-3">
				Lorem ipsum, dolor sit amet consectetur adipisicing elit. Consectetur, debitis sed quas natus quia incidunt pariatur laudantium eaque harum eius iure in delectus illo aperiam, quidem illum soluta nobis quo.
			</div>

			<div class="col-9 bg-warning border border-dark py-3">
				Lorem ipsum dolor sit amet consectetur adipisicing elit. Eveniet aut consequuntur sed rem ut, adipisci exercitationem dicta dignissimos, dolorem nesciunt dolore blanditiis quisquam necessitatibus, itaque inventore id error. Numquam, libero!
			</div>
		</div>


		<h3 class="text-center">1:2:1 Ratio</h3>
		<div class="row">
			<div class="col-3 bg-warning py-3 border border-dark">
				Lorem ipsum dolor sit amet consectetur adipisicing, elit. Et possimus temporibus 
			</div>

			<div class="col-6 bg-success py-3 border border-dark">
				Lorem ipsum dolor sit amet consectetur adipisicing, elit. Et possimus temporibus
			</div>

			<div class="col-3 bg-warning py-3 border border-dark">
				Lorem ipsum dolor sit amet consectetur adipisicing, elit. Et possimus temporibus
			</div>
		</div>

		<h2 class="text-center">Auto Columns</h2>
		<div class="row">
			<div class="col bg-success py-5 border border-dark">
				1
			</div>

			<div class="col bg-primary py-5 border border-dark">
				2
			</div>

			<div class="col-8 bg-warning py-5 border border-dark">
				3
			</div>

			<div class="col bg-danger py-5 border border-dark">
				4
			</div>

			<div class="col bg-secondary py-5 border border-dark">
				5
			</div>	
		</div>


		<h3 class="text-center">Rows with Uneven Column</h3>
		<div class="row">
			<div class="col-7 bg-success py-5 border border-dark">
				7
			</div>

			<div class="col-5 bg-primary py-5 border border-dark">
				5
			</div>

			<div class="col-4 bg-warning py-5 border border-dark">
				4
			</div>

			<div class="col-4 bg-danger py-5 border border-dark">
				4
			</div>

			<div class="col-3 bg-secondary py-5 border border-dark">
				3
			</div>

			<div class="col-4 bg-secondary py-5 border border-dark">
				4
			</div>
		</div>


		<h2 class="text-center">Responsive Columns</h2>
		<div class="row">
			<div class="col-md-4 bg-success py-3 border border-dark">
				4 md-lg
			</div>

			<div class="col-md-6 bg-primary py-3 border border-dark">
				6 cols md - lg
			</div>

			<div class="col-md-2 bg-success py-3 border border-dark">
				2 cols md - lg
			</div>
		</div>


		<h3 class="text-md-center">Breakpoints with text alignment</h3>

		<div class="row">
			<div class="col-6 col-md-8 text-md-left bg-success py-3 border border-dark">
				Lorem ipsum dolor sit amet consectetur adipisicing elit. Quasi, ipsa maxime placeat sed! Mollitia adipisci ab libero reprehenderit debitis repudiandae voluptas laudantium, perspiciatis facere dolore, iusto consequuntur atque! Delectus, quas?
			</div>

			<div class="col-6 col-md-4 text-md-right bg-warning border border-dark py-3">
				Lorem ipsum dolor sit amet consectetur adipisicing, elit. Asperiores quidem possimus aperiam, odit eveniet numquam doloremque animi, nulla fugiat sed officiis, velit, sint. Sunt dolor, dicta deleniti, a id optio.
			</div>

		</div>


<!-- image fluid -->
		<h3 class="text-center">Responsive images</h3>
			<div class="row">
				<div class="col-2 bg-info py-3 border border-dark">
					<img class="img-fluid" 
						src="https://bit.ly/fcc-running-cats" alt="kitty">
				</div>

				<div class="col-md-8 bg-success py-3 border border-dark">
					<p>with image fluid</p>
					<img class="img-fluid" 
						src="https://bit.ly/fcc-relaxing-cat">
				</div>
			</div>


			<!-- <div id="image3" class="bg-warning border border-dark">
				<img src="https://bit.ly/fcc-running-cats">
			</div> -->
			<div class="row">
				<div class="col-1 bg-secondary border border-dark">1
				</div>	

				<div class="col-1 bg-secondary border border-dark">2
				</div>	

				<div class="col-1 bg-secondary border border-dark">3
				</div>	

				<div class="col-1 bg-secondary border border-dark">4
				</div>	

				<div class="col-1 bg-secondary border border-dark">5
				</div>	

				<div class="col-1 bg-secondary border border-dark">6
				</div>	

				<div class="col-1 bg-secondary border border-dark">7
				</div>	

				<div class="col-1 bg-secondary border border-dark">8
				</div>	

				<div class="col-1 bg-secondary border border-dark">9
				</div>	

				<div class="col-1 bg-secondary border border-dark">10
				</div>	

				<div class="col-1 bg-secondary border border-dark">11
				</div>	

				<div class="col-1 bg-secondary border border-dark">12
				</div>	
			</div>

			<div class="row">
				<div class="col-4 bg-info py-3 border border-dark">
					div1
				</div>

				<div class="col-2 bg-danger py-3 border border-dark offset-3">
					div2
				</div>
				
				<div class="col-1 bg-info py-3 border border-dark offset-1">
					div3
				</div>

				<div class="col-1 bg-danger pt-5">
					as
				</div>
				
			</div>






	</div>



















<!-- JAVASCRIPT DEPENDENCIES -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" 
		integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" 
		crossorigin="anonymous">
	</script>
	
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" 
		integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" 
		crossorigin="anonymous">
	</script>

</body>


</html> 
